<!DOCTYPE html>
<html lang="<%=lang_code%>">

<head>
    <meta charset="utf-8" />
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta http-equiv="content-type" content="text/html; charset=utf-8">
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <%- include('./meta.ejs') %>
    <title>
        <%=tx(page_name)%> - Mana Spheres
    </title>
    <script defer="" src="/static/fontawesome.js"></script>
    <link href="https://fonts.googleapis.com/css?family=Raleway:400,200,500,600,700,800,300" rel="stylesheet" />
    <link rel="stylesheet" type="text/css" media="screen" href="/static/normalize.css" />
    <link rel="stylesheet" type="text/css" media="screen" href="/static/site.css" />
    <!--<script src="main.js"></script>-->
</head>

<body>
    <header>
        <a class="header-logo" href="/<%=lang_code%>">
            <img src="/static/logo.png" alt="Index Page">
        </a>
        <div class="title-menue">
            <h1>Mana Spheres</h1>
            <nav>
                <a href="/<%=lang_code%>/"><%=tx("index.ejs")%></a> |
                <a href="/<%=lang_code%>/news"><%=tx("news.ejs")%></a> |
                <a href="/<%=lang_code%>/get_involved"><%=tx("get_involved.ejs")%></a> |
                <a href="/<%=lang_code%>/community"><%=tx("community.ejs")%></a>
            </nav>
        </div>
    </header>
    <div class="content">
        <div class="site-header"></div>
        <% if(page_name == "index.ejs"){ %>
            <div class="header-img-container" id="scene">
                <div data-depth="0.03"><img id="p1" src="/static/header.webp" alt=""></div>
                <!-- Its a placeholder for now-->
            </div>
            <%#
            <script>
                var parallaxInstance;
                function start () {
                    const scene = document.getElementById('scene');
                    parallaxInstance = new Parallax(scene, {hoverOnly:true});
                }
            </script>
            <script onload="start()" defer="" crossorigin="anonymous" src="https://cdnjs.cloudflare.com/ajax/libs/parallax/3.1.0/parallax.min.js"></script> 
            %>
            <%- content %>
        <% } else { %>
            <div class="center-section">
                <%- content %>
            </div>
        <% } %>
    </div>
    <footer>
        <div class="footer-content">
            <div class="footer-part">
                <nav>
                    <a href="/<%=lang_code%>/community"><%=tx("community.ejs")%></a><br>
                    <a href="/<%=lang_code%>/get_involved"><%=tx("get_involved.ejs")%></a><br>
                    <a href="/<%=lang_code%>/legal"><%=tx("legal.ejs")%></a>
                </nav>
            </div>
            <div class="footer-part" style="text-align: right;">
                <div/> <!-- Language Selector -->
                <div class="footer-online-counter"><b id="online-players">Follow us</b></div>
                <div class="footer-community-links">
                        <a href="https://www.youtube.com/channel/UCp-aVxXfcQWFvQde6kGvYcg" class="footer-communitybutton" title="YouTube"><i class="fab fa-youtube fa-lg" aria-label="youtube"></i></a>
                        <a href="https://discord.gg/J4gcaqM" class="footer-communitybutton" rel="nofollow" title="Discord"><i class="fab fa-discord fa-lg" aria-label="discord"></i></a>
                        <a href="https://gitlab.com/TMW2" class="footer-communitybutton" title="GitLab"><i class="fab fa-gitlab fa-lg" aria-label="gitlab"></i></a>
                        <a href="https://www.patreon.com/TMW2" class="footer-communitybutton" title="Patreon"><i class="fab fa-patreon fa-lg" aria-label="patreon"></i></a>
                        <!--a href="https://www.indiedb.com/games/tmw2-mouboutaur-legends" title="View TMW2: Moubootaur Legends on Indie DB" target="_blank" rel="noopener"><img src="https://media.indiedb.com/images/global/indiedb.png" style="width:16px;height:16px" alt="IndieDB" /></a-->
                </div>
                <span class="footer-copyright">Copyright © 2018-2021 TMW-2 Team</span>
            </div>
        </div>      
    </footer>
</body>

</html>
